{% extends theme("layout.html") %} {% block body_container %}
<link
  href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/css/select2.min.css"
  rel="stylesheet"
/>
<link rel=stylesheet type=text/css href="{{ theme_static('css/index.css') }}">
<div class="jumbotron logo-back">
  <div class="">
    <div class="content">
      <div class="hero-text">
        <div class="col-md-5 col-sm-8 col-xs-12">
          <p class="info-description">
            Este sitio muestra los certificados de los participantes de las
            cursos Avalados por UNICEF demostrando el potencial
            de emitir estos certificados en blockchain. Esto permitirá que todo
            participante pueda compartir y validar sus certificados de manera
            transparente y segura, dando la confianza que no han sido alterados
            ni falsificados.
          </p>
        </div>
      </div>
    </div>
  </div>
</div>
<section>
  <div class="container">
    <h2 style="text-align: center">Buscar certificado</h2>
    <p class="lead" style="text-align: center; font-size: 18px">
      <select class="js-data-example-ajax" id="certificate"></select>
      <br /><br />
      <input
        class="button-sew"
        type="button"
        onclick="window.open('/'+certificate.value, '_blank')"
        value="Ver"
        style="
          background-color: #19191a;
          color: white;
          font-size: 18px;
          width: 12vw;
        "
      />
    </p>
  </div>
</section>
{% with messages = get_flashed_messages() %} {% endwith %} {% endblock %} {%
block scripts %}
<!--script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/js/select2.min.js"></script-->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/js/select2.min.js"></script>
<script>
  $(document).ready(function () {
    $.ajax({
      url: '/certificates',
      cache: false,
      async: true,
      contentType: 'application/json', // 'multipart/form-data', 'text/plain'
      dataType: 'json', //(xml, json, script, or html)
      type: 'GET', // 'POST', remember if POST is used and you're using an active session, you need to remove contentType and/or dataType
      success: function (data, status, jqXHR) {
        console.log('response: ', data);
        $('.js-data-example-ajax').select2({
          data: data,
          placeholder: 'Buscar por  nombre',
        });
      },
      error: function (jqXHR, status, error) {
        console.log('response: ', jqXHR);
        console.log('status: ', status);
        console.log('error: ', error);
      },
      complete: function (jqXHR, status) {
        console.log('response: ', jqXHR);
        console.log('status: ', status);
      },
    });
  });
</script>
{% endblock %}
